%define PKGRELEASE 3.7

Summary:	The Persistence of Vision Raytracer
Name:		povray
Version:	3.7.0
Release:	%mkrel -c RC6 5
Group:		Sciences/Computer science
License:	POV-Ray
# http://www.povray.org/distribution-license.html
URL:		http://www.povray.org
Source:		http://www.povray.org/beta/source/povray-%{version}.RC6.tar.gz
Source1:	%{name}.bash-completion
Patch0:		povray-3.7.0-install.patch
Patch1:		povray-3.7.0-link.patch
Patch2:		povray-3.7.0-boost-time.patch
BuildRequires:	zlib-devel
BuildRequires:	libx11-devel
BuildRequires:	libxpm-devel
BuildRequires:	libpng-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libtiff-devel
BuildRequires:	svgalib-devel
BuildRequires:	OpenEXR-devel
BuildRequires:	SDL-devel
BuildRequires:	boost-devel

%description
The Persistence of Vision Ray tracer creates three-dimensional,
photo-realistic images using a rendering technique called ray tracing.
It reads in a text file containing information describing the objects and
lighting in a scene and generates an image of that scene from the view
point of a camera also described in the text file. Ray tracing is not
a fast process by any means, (the generation of a complex image can
take several hours) but it produces very high quality images
with realistic reflections, shading, perspective, and other effects.

%prep
%setup -qn povray-%{version}.RC6
%patch0 -p0
%patch1 -p0
%patch2 -p0

%build
autoreconf -fi
%configure2_5x --with-x COMPILED_BY="%_vendor" --disable-optimiz --with-boost-libdir=%{_libdir}
%make

%install
%makeinstall_std

install -d -m 755 %{buildroot}%{_sysconfdir}/bash_completion.d
install -m 644 %{SOURCE1} %{buildroot}%{_sysconfdir}/bash_completion.d/%{name}

%files 
%config(noreplace) %{_sysconfdir}/bash_completion.d/%{name}
%config(noreplace) %{_sysconfdir}/%{name}/%PKGRELEASE/povray.conf
%config(noreplace) %{_sysconfdir}/%{name}/%PKGRELEASE/povray.ini
%doc doc/* 
%doc %{_mandir}/man1/povray.*
%{_bindir}/povray
%{_defaultdocdir}/%{name}-%PKGRELEASE
%{_datadir}/%{name}-%PKGRELEASE


%changelog

* Thu Apr 11 2013 barjac <barjac> 3.7.0-0.RC6.5.mga3
+ Revision: 409659
- rebuild for boost-1.53
- license corrected
- package removed from core and will be pushed to non-free

* Sun Jan 13 2013 umeabot <umeabot> 3.7.0-0.RC6.4.mga3
+ Revision: 378133
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 20 2012 fwang <fwang> 3.7.0-0.RC6.3.mga3
+ Revision: 333064
- rebuild for new boost

* Sun Dec 02 2012 fwang <fwang> 3.7.0-0.RC6.2.mga3
+ Revision: 325022
- rebuild for new openexr

* Thu Aug 02 2012 fwang <fwang> 3.7.0-0.RC6.1.mga3
+ Revision: 277922
- more patches
- add archlinux patch to build with latest oost-time
- 3.7 rc6
- specify boost libdir
- fix linkage
- update configure switch
- rebuild for new boost

* Wed May 30 2012 fwang <fwang> 3.7.0-0.RC3.4.mga3
+ Revision: 250111
- rebuild for new boost

* Sun Dec 25 2011 fwang <fwang> 3.7.0-0.RC3.3.mga2
+ Revision: 187439
- rebuild for new libtiff

* Mon Nov 28 2011 fwang <fwang> 3.7.0-0.RC3.2.mga2
+ Revision: 173620
- rebuild for new boost

* Tue Sep 20 2011 fwang <fwang> 3.7.0-0.RC3.1.mga2
+ Revision: 146117
- update file list
- do not create user conf files when packing
- force mt
- add br
- 3.7.0 rc3

* Thu May 05 2011 pterjan <pterjan> 3.6.1-10.mga1
+ Revision: 95072
- Use _vendor for COMPILED_BY
- imported package povray


* Wed Dec 01 2010 Funda Wang <fwang@mandriva.org> 3.6.1-9mdv2011.0
+ Revision: 604381
- bunzip2 patches
- add gentoo patch to detect newer libpng
- build for system new zlib

* Fri Sep 04 2009 Thierry Vignaud <tv@mandriva.org> 3.6.1-8mdv2010.0
+ Revision: 430769
- rebuild

* Fri Aug 01 2008 Thierry Vignaud <tv@mandriva.org> 3.6.1-7mdv2009.0
+ Revision: 259251
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tv@mandriva.org> 3.6.1-6mdv2009.0
+ Revision: 247180
- rebuild

* Tue Mar 25 2008 Erwan Velu <erwan@mandriva.org> 3.6.1-4mdv2008.1
+ Revision: 189853
- Fixing bug #31019

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 3.6.1-3mdv2008.1
+ Revision: 140735
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request
    - fix man pages

* Mon Jun 18 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 3.6.1-3mdv2008.0
+ Revision: 40676
- fix mixture of tabs and spaces
- use macros
- remove obsoletes
- spec file clean


* Fri Feb 09 2007 Erwan Velu <erwan@mandriva.org> 3.6.1-2mdv2007.0
+ Revision: 118487
- Rebuild
- Import povray

* Wed Sep 14 2005 Erwan Velu <erwan@seanodes.com> 3.6.1-1mdk
- 3.6.1

* Sat Sep 10 2005 Olivier Blin <oblin@mandriva.com> 3.1g-20mdk
- fix typo in summary
- Patch19, Patch20: gcc4 fixes

* Thu Mar 24 2005 Erwan Velu <erwan@seanodes.com> 3.1g-19mdk
- Fixing x86_64 build
- Fixing Buildrequires

